Межсайтовый скриптинг в PhpWebGallery

Дата публикации:
21.09.2007
Дата изменения:
21.09.2007
Всего просмотров:
1037
Опасность:
Средняя
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PhpWebGallery 1.x
Уязвимые версии: PhpWebGallery 1.7.0, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "author" в сценарии picture.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости опция "Comments for all" должна быть включена.

URL производителя: www.phpwebgallery.net

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA